/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import java.util.Objects;
import java.util.Arrays;
import java.util.Map;
import java.util.HashMap;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import de.doctag.docsrv_api.model.FileData;
import de.doctag.docsrv_api.model.WorkflowInputResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


/**
 * SignatureInputs
 */
@JsonPropertyOrder({
  SignatureInputs.JSON_PROPERTY_FILES,
  SignatureInputs.JSON_PROPERTY_INPUTS,
  SignatureInputs.JSON_PROPERTY_PPK_ID,
  SignatureInputs.JSON_PROPERTY_ROLE
})
@javax.annotation.processing.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen")
public class SignatureInputs {
  public static final String JSON_PROPERTY_FILES = "files";
  private List<FileData> files = null;

  public static final String JSON_PROPERTY_INPUTS = "inputs";
  private List<WorkflowInputResult> inputs = null;

  public static final String JSON_PROPERTY_PPK_ID = "ppkId";
  private String ppkId;

  public static final String JSON_PROPERTY_ROLE = "role";
  private String role;


  public SignatureInputs files(List<FileData> files) {
    this.files = files;
    return this;
  }

  public SignatureInputs addFilesItem(FileData filesItem) {
    if (this.files == null) {
      this.files = new ArrayList<>();
    }
    this.files.add(filesItem);
    return this;
  }

   /**
   * Get files
   * @return files
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_FILES)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public List<FileData> getFiles() {
    return files;
  }


  @JsonProperty(JSON_PROPERTY_FILES)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setFiles(List<FileData> files) {
    this.files = files;
  }


  public SignatureInputs inputs(List<WorkflowInputResult> inputs) {
    this.inputs = inputs;
    return this;
  }

  public SignatureInputs addInputsItem(WorkflowInputResult inputsItem) {
    if (this.inputs == null) {
      this.inputs = new ArrayList<>();
    }
    this.inputs.add(inputsItem);
    return this;
  }

   /**
   * Get inputs
   * @return inputs
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_INPUTS)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public List<WorkflowInputResult> getInputs() {
    return inputs;
  }


  @JsonProperty(JSON_PROPERTY_INPUTS)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setInputs(List<WorkflowInputResult> inputs) {
    this.inputs = inputs;
  }


  public SignatureInputs ppkId(String ppkId) {
    this.ppkId = ppkId;
    return this;
  }

   /**
   * Get ppkId
   * @return ppkId
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_PPK_ID)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getPpkId() {
    return ppkId;
  }


  @JsonProperty(JSON_PROPERTY_PPK_ID)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setPpkId(String ppkId) {
    this.ppkId = ppkId;
  }


  public SignatureInputs role(String role) {
    this.role = role;
    return this;
  }

   /**
   * Get role
   * @return role
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_ROLE)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getRole() {
    return role;
  }


  @JsonProperty(JSON_PROPERTY_ROLE)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setRole(String role) {
    this.role = role;
  }


  /**
   * Return true if this SignatureInputs object is equal to o.
   */
  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SignatureInputs signatureInputs = (SignatureInputs) o;
    return Objects.equals(this.files, signatureInputs.files) &&
        Objects.equals(this.inputs, signatureInputs.inputs) &&
        Objects.equals(this.ppkId, signatureInputs.ppkId) &&
        Objects.equals(this.role, signatureInputs.role);
  }

  @Override
  public int hashCode() {
    return Objects.hash(files, inputs, ppkId, role);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SignatureInputs {\n");
    sb.append("    files: ").append(toIndentedString(files)).append("\n");
    sb.append("    inputs: ").append(toIndentedString(inputs)).append("\n");
    sb.append("    ppkId: ").append(toIndentedString(ppkId)).append("\n");
    sb.append("    role: ").append(toIndentedString(role)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

